package com.engine.attendance.enums;

import com.finance.toolkit.BaseEnum;

public enum ClockPointEnum implements BaseEnum {

    START("0","开始打卡时间点"),
    END("1","结束打卡时间点"),
    EMPTY("2","漏卡"),
    EQUAL("3","打卡时间和班次时间相等"),
    BEFORE("4","打卡时间在班次时间之前"),
    AFTER("5","打卡时间在班次时间之后");

    private String key;
    private String value;

    ClockPointEnum(String key, String value){
        this.key=key;
        this.value=value;
    }

    @Override
    public String getKey() {

        return this.key;
    }

    @Override
    public String getValue() {
        return this.value;
    }
}
